Extending Qt Creator Manual | UndefinedMacroUse

Extending Qt Creator Manual 4.5.2

# UndefinedMacroUse Class

(CPlusPlus::Document::UndefinedMacroUse)

The UndefinedMacroUse class represents a macro that was looked for, but not found. More...

Header: | #include <UndefinedMacroUse>

- List of all members, including inherited members

## Public Functions

| UndefinedMacroUse(const QByteArray &name, unsigned bytesBegin, unsigned utf16charsBegin)
QByteArray | name() const

## Detailed Description

The UndefinedMacroUse class represents a macro that was looked for, but not found.

Holds data about the reference to a macro in an `#ifdef` or `#ifndef` or argument to the `defined` operator inside an `#if` or `#elif` that does not exist.

See also Document::undefinedMacroUses(), Document::MacroUse, and Macro.

## Member Function Documentation

### UndefinedMacroUse::UndefinedMacroUse(const QByteArray &name, unsigned bytesBegin, unsigned utf16charsBegin)

Default constructs an instance of UndefinedMacroUse.

### QByteArray UndefinedMacroUse::name() const

Returns the name of the macro that was not found.